digiKam Developer Documentation: Digikam::ImportItemPropertiesTab Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ImportItemPropertiesTab Class Reference
Inheritance diagram for Digikam::ImportItemPropertiesTab:

## Public Member Functions
| ImportItemPropertiesTab (QWidget *const parent)
void | setCurrentItem (const CamItemInfo &itemInfo=CamItemInfo(), DMetadata *const meta=nullptr)
Public Member Functions inherited from Digikam::DExpanderBox
| DExpanderBox (QWidget *const parent=nullptr)
void | addItem (QWidget *const w, const QIcon &icon, const QString &txt, const QString &objName, bool expandBydefault)
| Add DLabelExpander item at end of box layout with these settings : 'w' : the widget hosted by DLabelExpander.
void | addItem (QWidget *const w, const QString &txt, const QString &objName, bool expandBydefault)
void | addStretch ()
bool | buttonIsVisible (int index) const
bool | checkBoxIsVisible (int index) const
int | count () const
int | indexOf (DLabelExpander *const widget) const
void | insertItem (int index, QWidget *const w, const QIcon &icon, const QString &txt, const QString &objName, bool expandBydefault)
| Insert DLabelExpander item at box layout index with these settings : 'w' : the widget hosted by DLabelExpander.
void | insertItem (int index, QWidget *const w, const QString &txt, const QString &objName, bool expandBydefault)
void | insertStretch (int index)
bool | isChecked (int index) const
bool | isItemEnabled (int index) const
bool | isItemExpanded (int index) const
QIcon | itemIcon (int index) const
QString | itemText (int index) const
QString | itemToolTip (int index) const
virtual void | readSettings (KConfigGroup &group)
void | removeItem (int index)
void | setButtonIcon (int index, const QIcon &icon)
void | setButtonToolTip (int index, const QString &tip)
void | setButtonVisible (int index, bool b)
void | setCheckBoxVisible (int index, bool b)
void | setChecked (int index, bool b)
void | setItemEnabled (int index, bool enabled)
void | setItemExpanded (int index, bool b)
void | setItemIcon (int index, const QIcon &icon)
void | setItemText (int index, const QString &txt)
void | setItemToolTip (int index, const QString &tip)
DLabelExpander * | widget (int index) const
virtual void | writeSettings (KConfigGroup &group)

## Additional Inherited Members
Signals inherited from Digikam::DExpanderBox
void | signalItemButtonPressed (int index)
void | signalItemExpanded (int index, bool b)
void | signalItemToggled (int index, bool b)